<?php
/**
 * Fancy Image Show
 *
 * @package 	Fancy Image Show
 * @subpackage 	Fancy Image Show
 * @version   	3.4
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2015 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2011/11/joomla-module-fancy-image-show/
 *
 */

// no direct access
defined('_JEXEC') or die;

if ( ! empty($images) ) 
{
	$FancyImg_Gallery = $params->get('fancyshow_width');
	$FancyImg_Width = $params->get('fancyshow_width');
	$FancyImg_Height = $params->get('fancyshow_height');
	$FancyImg_Effect = $params->get('fancyshow_effect');
	$FancyImg_delay = $params->get('fancyshow_effectdelay');
	$FancyImg_Strips = $params->get('fancyshow_strip');
	$FancyImg_StripDelay = $params->get('fancyshow_stripdelay');
	$FancyImg_Unique = $params->get('fancyshow_unique');
			
	$FancyImg = "";
	foreach ( $images as $images ) 
	{	
		$fancyshow_path = JURI::base().$folder ."/". $images->name;
		$fancyshow_path = str_replace('\\', '/', $fancyshow_path);	
		$FancyImg = $FancyImg ."<img src='".$fancyshow_path ."' />";
	}
}
?>
<script type="text/javascript">var $j = jQuery.noConflict();</script>
<script>
$j(function() {                   	
		$j(document).ready(function(){
		$j('#Fancy_<?php echo $FancyImg_Unique ?>').FancyImageShow({ 
		width: 	<?php echo $FancyImg_Width ?>, 
		height: <?php echo $FancyImg_Height ?>, 
		effect: '<?php echo $FancyImg_Effect ?>',
		delay:  <?php echo $FancyImg_delay ?>,
		strips:	<?php echo $FancyImg_Strips ?>,
		stripDelay: <?php echo $FancyImg_StripDelay ?> });
});        				
});
</script> 
<div id="Fancy_<?php echo $FancyImg_Unique ?>"><?php echo $FancyImg; ?></div>